@echo off
if exist wgserv.nt goto done
if exist bbs.bat del bbs.bat
if exist bbsintro.exe del bbsintro.exe
if exist galdup.mdf del galdup.mdf
if exist galdup.dmd del galdup.dmd
if exist galdup.dll del galdup.dll
if exist galdup.zip del galdup.zip
if exist galrec.mdf del galrec.mdf
if exist galrec.dmd del galrec.dmd
if exist wgsrip.dmd ren wgsrip.dmd wgsrip.mdf
if exist wgsready.flg goto washere
wgssetcl
wgsmsx
wgschsup
if errorlevel 40 goto movweb
if errorlevel 30 goto intandmod
if errorlevel 20 goto modem
wgsicoin
goto makflg
:modem
wgsetup
wgsicoin disint
goto movweb
:intandmod
wgsicoin
wgsetup
goto makflg
:movweb
wgsicoin movweb
:makflg
echo Worldgroup is installed here now! >wgsready.flg
goto fin
:washere
wgsrvcln
if errorlevel 1 goto wait
goto nowait
:wait
echo.
echo Write down the message in the box, then press CTRL-C to stop, or press any
echo other key to continue...
pause > nul
:nowait
if exist wgserv.flg goto chkpq
if not exist wgsmnu.dat goto fin
call wgsacvt
goto fin
:chkpq
if not exist galpnqq.dat goto fin
galpqcvt
:fin
if not exist galinmod.lst copy galinmod.dft galinmod.lst > nul
echo Worldgroup is here! > wgserv.flg
:done
